FreeMat

- Main Page
- Related Pages

vtkImageCursor3D

Section: Visualization Toolkit Imaging Classes

# Usage

vtkImageCursor3D will draw a cursor on a 2d image or 3d volume.

To create an instance of class vtkImageCursor3D, simply invoke its constructor as follows

      obj = vtkImageCursor3D

# Methods

The class vtkImageCursor3D has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkImageCursor3D class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkImageCursor3D = obj.NewInstance ()`
- `vtkImageCursor3D = obj.SafeDownCast (vtkObject o)`
- `obj.SetCursorPosition (double , double , double )` - Sets/Gets the center point of the 3d cursor.
- `obj.SetCursorPosition (double a[3])` - Sets/Gets the center point of the 3d cursor.
- `double = obj. GetCursorPosition ()` - Sets/Gets the center point of the 3d cursor.
- `obj.SetCursorValue (double )` - Sets/Gets what pixel value to draw the cursor in.
- `double = obj.GetCursorValue ()` - Sets/Gets what pixel value to draw the cursor in.
- `obj.SetCursorRadius (int )` - Sets/Gets the radius of the cursor. The radius determines how far the axis lines project out from the cursors center.
- `int = obj.GetCursorRadius ()` - Sets/Gets the radius of the cursor. The radius determines how far the axis lines project out from the cursors center.